> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user claim

> Update a user claim status after a user has claimed



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/token_claims/{id}/claim
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/token_claims/{id}/claim:
    post:
      tags:
        - Token Claims
      summary: Update user claim
      description: Update a user claim status after a user has claimed
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                walletAddress:
                  type: string
                txHash:
                  type: string
                  pattern: ^0x[0-9a-f]{64}$
              required:
                - walletAddress
                - txHash
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      walletAddress:
                        type: string
                      tokenClaimId:
                        type: string
                        format: uuid
                      claimedAt:
                        type: string
                        format: date-time
                      totalAllocation:
                        type: number
                    required:
                      - walletAddress
                      - tokenClaimId
                      - claimedAt
                      - totalAllocation
                required:
                  - message
                  - data
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Too many requests
                required:
                  - message
                title: Too Many Request Response
                description: Schema for too many request response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````